      subroutine setprob
      implicit double precision (a-h,o-z)
      common /cwall/ ampl,omega
      common /comcirc/ x0circ(100),y0circ(100),rcirc(100),r2circ(100),
     &                 ncircles
      common /comzc/ zout,cout,zin(100),cin(100)
c
c     # Set the material parameters for the acoustic equations
c
      open(unit=7,file='setprob.data',status='old',form='formatted')
c
c     # Piecewise constant medium 
c     # Impedance and sound speed inside and outside inclusions

      read(7,*) zout
      read(7,*) cout
      read(7,*) ncircles
      do i=1,ncircles
         read(7,*) x0circ(i),y0circ(i),rcirc(i),r2circ(i),
     &             zin(i),cin(i)
         enddo

      ampl = 1.d0
      omega = 5.d0

      return
      end
